# Borrow

### Borrowing Assets

After supplying collateral, users can begin borrowing assets of their choosing up to the limit set by their account's collateral factors. A users total borrow balance is determined by the sum of their currently borrowed amount plus the interest they have accrued. **Do not ever borrow your total account liquidity, as it may result in immediate liquidation.**

### Borrow Rate

The borrow rate is the prevailing interest of the asset a user is borrowing. Every block a loan is open, the borrow rate per block is multiplied by the accounts current borrow borrow to determine their borrow balance on the next block. As a result, the borrow balance is continuously compounding on every Ethereum block.

The borrower can choose to repay some or all of their borrow balance whenever they choose. The borrower is never required to pay back their borrow or the interest unless their accounts health factor is approaching 1.0. In this case they must either repay a portion of the balance or face liquidation.

### Repaying Borrowed Assets

{% hint style="info" %}
For the front-end guide, see the [User Guide](/ursa/getting-started/user-guide.md) section.

For the contract guide, see the [lTokens](/ursa/documentation/contracts/ltokens.md) section.
{% endhint %}

Borrowed assets can be repaid in the front-end or directly through the lToken contract `repayBorrow` function. Once repaid, an account's collateral can be entirely redeemed by exchanging the existing lTokens for the underlying asset.

Users who borrow assets do not need to actively make payments, but they do need to actively monitor the health of their account. Price swings on both the supply and borrow sides of an account can have an adverse affect on overall health.

For more information on health, see the [User Guide](/ursa/getting-started/user-guide.md) and [Liquidation](/ursa/documentation/technical-overview/liquidation.md) sections.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ursa.finance/ursa/documentation/technical-overview/borrow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
